
<?php
$sea_file = (dirname(__FILE__) . "/sea_float.net");
if (!is_file($sea_file))
    die("Файл sea_float.net не был создан! Перезапустите главный файл, чтобы его создать");

$ann = fann_create_from_file($sea_file);
if (!$ann)
    die("ANN не была создана");

$input = array(-1, 0.10, -1, 1);
$calc_out = fann_run($ann, $input);
echo "С параметрами моря:<br>";
echo ($input[0] != 1) ? 'день<br>' : 'ночь<br>';
echo ($input[1] == 0.00) ? 'нет тумана<br>' : "есть туман ($input[1])<br>";
echo ($input[2] != 1) ? 'нет волн<br>' : 'есть волны<br>';
echo ($input[3] != 1) ? 'нет акул<br>' : 'есть акулы<br>';
if (round($calc_out[0]) == 1)
	printf("плавать опасно (%.2f).", $calc_out[0]);
else
	printf("плавать не опасно (%.2f).", $calc_out[0]);

fann_destroy($ann);
?>
